VMware Cloud Community
watsonrp
Contributor
Contributor

How do I downgrade from vCloud Director Networking and Security to vShield Edge 5.0.2?

I've done a silly thing and I'm hoping that I dont have to rebuild the entire environment, but I installed vCloud Director Networking and Security when installing vCloud Director 5.1 but found out later that my institute only has lics for vShield Edge 5.0.2.  So my question is simple, can I remove vCloud Director Networking and Security and install vShield Edge 5.0.2 and if so where might there be instructions for that?

0 Kudos
5 Replies
admin
Immortal
Immortal

Hi,

   Check out the following: http://www.vmware.com/pdf/vshield_501_quickstart.pdf

Chapter 5: Uninstalling vShield Components

watsonrp
Contributor
Contributor

Thanks for that, I tried it and got a rather unhelpful answer "vShield Endpoint uninstallation encountered error while uninstalling vib:Internal server error: ; nested exception is: java.lang.NullPointerException" when trying to uninstall the endpoint service.  So I'm thinking that I need to rebuild the environment from scratch again.

0 Kudos
mjbtechie
Enthusiast
Enthusiast

I actually just ran in the same issue. I have 5.0.2 licenses as well and attempted to downgrade. I was able to get it set up but immediately began receiving errors when attempting to deploy new vApps. I spoke with support this morning and they informed me that vShield Edge 5.0.2 is not compatible with vCloud Director 5.1. It's only compatible with vCD 1.x. vCloud Network and Security 5.1.x is needed for vCD 5.1.

I converted from Lab Manager. I'm going to try to get my Edge 5.0.2 licences converted to vCNS 5.1.2. They say you need to have the Edge 5.0.2 licenses and the Edge vApp licenses to make the trade but, that doesn't seem right since I'm converting from Lab manager and just want the same functionality I had before.

watsonrp
Contributor
Contributor

Thanks for your reply. I'll try to upgrade the edge lics too, but not sure how that will go as my institute is using some site-wide licencing.

0 Kudos
mjbtechie
Enthusiast
Enthusiast

In-case you're still working on this I thought I should mention; there is a public key for vCNS 5.1.2 basic that gives you the vShield 5.0.2 capabilities with the vCNS 5.1.2 appliance. I wasn't able to find it on the site by searching but, a tech provided me with a link.

0 Kudos